# icx_banner – Manage multiline banners on Ruckus ICX 7000 series switches

New in version 2.9.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This will configure both login and motd banners on remote ruckus ICX 7000 series switches. It allows playbooks to add or remove banner text from the active running configuration.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

banner
string / required

Choices:
- motd
- exec
- incoming

Specifies which banner should be configured on the remote device.

check_running_config
boolean

Choices:
- no
- yes ←

Check running configuration. This can be set as environment variable. Module will use environment variable value(default:True), unless it is overridden, by specifying it as module parameter.

enterkey
boolean

Choices:
- no ←
- yes

Specifies whether or not the motd configuration should accept the require-enter-key

state
string

Choices:
- present ←
- absent

Specifies whether or not the configuration is present in the current devices active running configuration.

text string |  | The banner text that should be present in the remote device running configuration. This argument accepts a multiline string, with no empty lines.

## Notes

Note

- Tested against ICX 10.1

## Examples

    - name: configure the motd banner
      icx_banner:
        banner: motd
        text: |
            this is my motd banner
            that contains a multiline
            string
        state: present

    - name: remove the motd banner
      icx_banner:
        banner: motd
        state: absent

    - name: configure require-enter-key for motd
      icx_banner:
        banner: motd
        enterkey: True

    - name: remove require-enter-key for motd
      icx_banner:
        banner: motd
        enterkey: False

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | The list of configuration mode commands to send to the device Sample: ['banner motd', 'this is my motd banner', 'that contains a multiline', 'string']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Ruckus Wireless (@Commscope)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.